Bug 106779 - Please use ngettext for handling plurals in redhat-config-cluster
Please use ngettext for handling plurals in redhat-config-cluster
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jim Parsons
David Lawrence
Depends On:
Blocks: 106150
  Show dependency treegraph
Reported: 2003-10-10 10:59 EDT by Christian Rose
Modified: 2009-04-16 15:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:34:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2003-10-10 10:59:17 EDT
#: src/configure/daemonPropDialog.py:470
#, python-format
msgid ""
"Cluster has %s members:\n"
"Disk Tiebreaker and Network Tiebreaker will not be used."

As mentioned in
this way of handling plurals is broken for many locales. A way to solve
this is by using ngettext instead as mentioned in that document.
A simple code example of code using ngettext:

  g_printf (ngettext ("Found %d file.", "Found %d files.", nbr_of_files),

Something similar should work in Python 2.3 too.
Comment 1 Hardy Merrill 2003-10-14 15:44:59 EDT
I just researched ngettext in the Python documentation - ngettext is new in
Python 2.3, and Taroon (RHEL3) has Python 2.2.3.  So this change won't be
possible until the next RHEL release which contains at least Python 2.3.
Comment 2 Hardy Merrill 2003-10-14 16:10:49 EDT
Mistake - didn't mean to close it.
Comment 3 RHEL Product and Program Management 2007-10-19 15:34:01 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.